View Issue Details

IDProjectCategoryView StatusLast Update
0016521ScribusUser Interfacepublic2021-03-21 15:00
Reporterbubu Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.5.7.svn 
Fixed in Version1.5.7.svn 
Summary0016521: Cleanup, remove broken icon links from .ui files
DescriptionI propose to remove unused and broken icon links from .ui files. There are no more such issue beside these 2 files.

Please review the attached patch. Thank you.
TagsNo tags attached.
PatchNo

Activities

bubu

2021-03-18 22:15

reporter  

0001-Cleanup-remove-broken-icon-links-from-.ui-files.patch (4,313 bytes)   
From ef5bedbdd3d22a0a7a746138f48e295ed19d5c59 Mon Sep 17 00:00:00 2001
Message-Id: <ef5bedbdd3d22a0a7a746138f48e295ed19d5c59.1616105468.git.bubu@ujevangelizacio.hu>
From: =?UTF-8?q?Gyuris=20Gell=C3=A9rt?= <bubu@ujevangelizacio.hu>
Date: Thu, 18 Mar 2021 23:11:00 +0100
Subject: [PATCH] Cleanup, remove broken icon links from .ui files

---
 scribus/ui/propertiespalette_textbase.ui   | 20 --------------------
 scribus/ui/propertywidget_textcolorbase.ui | 18 ------------------
 2 files changed, 38 deletions(-)

diff --git a/scribus/ui/propertiespalette_textbase.ui b/scribus/ui/propertiespalette_textbase.ui
index 68fdbcedf..7681540de 100644
--- a/scribus/ui/propertiespalette_textbase.ui
+++ b/scribus/ui/propertiespalette_textbase.ui
@@ -54,9 +54,6 @@
        <property name="text">
         <string/>
        </property>
-       <property name="pixmap">
-        <pixmap>../../resources/icons/zeichen.png</pixmap>
-       </property>
        <property name="alignment">
         <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
        </property>
@@ -102,9 +99,6 @@
        <property name="text">
         <string/>
        </property>
-       <property name="pixmap">
-        <pixmap>../../resources/icons/linespacing2.png</pixmap>
-       </property>
       </widget>
      </item>
      <item>
@@ -247,9 +241,6 @@
        <property name="text">
         <string/>
        </property>
-       <property name="pixmap">
-        <pixmap>../../resources/icons/zeichen.png</pixmap>
-       </property>
       </widget>
      </item>
      <item>
@@ -273,10 +264,6 @@
        <property name="text">
         <string/>
        </property>
-       <property name="icon">
-        <iconset>
-         <normaloff>../../resources/icons/16/edit-clear.png</normaloff>../../resources/icons/16/edit-clear.png</iconset>
-       </property>
       </widget>
      </item>
     </layout>
@@ -303,9 +290,6 @@
        <property name="text">
         <string/>
        </property>
-       <property name="pixmap">
-        <pixmap>../../resources/icons/zeichen.png</pixmap>
-       </property>
       </widget>
      </item>
      <item>
@@ -329,10 +313,6 @@
        <property name="text">
         <string/>
        </property>
-       <property name="icon">
-        <iconset>
-         <normaloff>../../resources/icons/16/edit-clear.png</normaloff>../../resources/icons/16/edit-clear.png</iconset>
-       </property>
       </widget>
      </item>
     </layout>
diff --git a/scribus/ui/propertywidget_textcolorbase.ui b/scribus/ui/propertywidget_textcolorbase.ui
index ee92357bd..7f8288918 100644
--- a/scribus/ui/propertywidget_textcolorbase.ui
+++ b/scribus/ui/propertywidget_textcolorbase.ui
@@ -51,9 +51,6 @@
        <property name="text">
         <string/>
        </property>
-       <property name="pixmap">
-        <pixmap>../../resources/icons/16/color-fill.png</pixmap>
-       </property>
       </widget>
      </item>
      <item>
@@ -86,9 +83,6 @@
        <property name="text">
         <string/>
        </property>
-       <property name="pixmap">
-        <pixmap>../../resources/icons/shade.png</pixmap>
-       </property>
       </widget>
      </item>
      <item>
@@ -125,9 +119,6 @@
        <property name="text">
         <string/>
        </property>
-       <property name="pixmap">
-        <pixmap>../../resources/icons/16/color-stroke.png</pixmap>
-       </property>
       </widget>
      </item>
      <item>
@@ -163,9 +154,6 @@
        <property name="text">
         <string/>
        </property>
-       <property name="pixmap">
-        <pixmap>../../resources/icons/shade.png</pixmap>
-       </property>
       </widget>
      </item>
      <item>
@@ -202,9 +190,6 @@
        <property name="text">
         <string/>
        </property>
-       <property name="pixmap">
-        <pixmap>../../resources/icons/16/color-fill.png</pixmap>
-       </property>
       </widget>
      </item>
      <item>
@@ -237,9 +222,6 @@
        <property name="text">
         <string/>
        </property>
-       <property name="pixmap">
-        <pixmap>../../resources/icons/shade.png</pixmap>
-       </property>
       </widget>
      </item>
      <item>
-- 
2.27.0

jghali

2021-03-20 10:43

administrator   ~0048963

Applied, thanks!

FirasH

2021-03-21 15:00

developer   ~0048987

Thanks!
Fixed in 1.5.7.svn (24575)

Issue History

Date Modified Username Field Change
2021-03-18 22:15 bubu New Issue
2021-03-18 22:15 bubu File Added: 0001-Cleanup-remove-broken-icon-links-from-.ui-files.patch
2021-03-20 10:43 jghali Assigned To => jghali
2021-03-20 10:43 jghali Status new => resolved
2021-03-20 10:43 jghali Resolution open => fixed
2021-03-20 10:43 jghali Fixed in Version => 1.5.7.svn
2021-03-20 10:43 jghali Note Added: 0048963
2021-03-21 15:00 FirasH Status resolved => closed
2021-03-21 15:00 FirasH Note Added: 0048987